using System;
using System.Threading;

public class Vlakno
{
	string jmeno;
	int interval;

	public Vlakno(string jmeno, int interval)
	{
		this.jmeno = jmeno;
		this.interval = interval;
	}

	public void Run()
	{
		while( true ) {
			Console.WriteLine("Vlakno {0}", jmeno);
			Thread.Sleep(interval);
		}
	}

	public static void Main()
	{
		Vlakno v1 = new Vlakno("v1", 500);
		Vlakno v2 = new Vlakno("v2", 1000);

		Thread t1 = new Thread(new ThreadStart(v1.Run));
		Thread t2 = new Thread(new ThreadStart(v2.Run));
		t1.Start();
		t2.Start();
		t1.Join();
		t2.Join();
	}
}
