class Trida {
	// sem se dá vstoupit jen jednou v rámci jednoho objektu
	public synchronized void send_message(String msg) {
		System.out.println("Sending\t" + msg );
		// .. kritický kód odesílající zprávu
		System.out.println("\n" + msg + "Sent");
	}
}




class TridaB {
	public void send(String msg) {

		// .. kód před ..

		synchronized(this) {
			System.out.println("Sending\t" + msg );
			// .. kritický kód odesílající zprávu
			System.out.println("\n" + msg + "Sent");
		}

		// .. kód za ..
	}
}




public class TridaC {
	private final Object mutex = new Object();

	public void someMethodThatNeedsAMutex() {
		synchronized(mutex) {
			// .. kritická sekce ..
		}
	}
}
