package main

import (
	"fmt"
	"sync"
)

func vlakno(tid int, wg *sync.WaitGroup) {
	defer wg.Done()
	fmt.Printf("Ahoj, tady je vlákno %d!\n", tid)

	for i := 0; i < (0xFFFFFFFF); i++ {
		// nějaká práce
	}

	fmt.Printf("Ahoj, vlákno %d končí!\n", tid)
}

func main() {
	wg := &sync.WaitGroup{}

	for t := 0; t < 5; t++ {
		wg.Add(1)
		go vlakno(t, wg)
	}

	wg.Wait()
}
